> For the complete documentation index, see [llms.txt](https://docs.yad.finance/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.yad.finance/~/changes/2RSiZ02fGs3gXznJHipO/api-documentation/endpoints-and-functions/get-v1-chainid-gasprices.md).

# GET /v1/{chainID}/gasprices

Provides calculated gas price values in GWEI (nAVAX for Avalanche)

## **Input Parameters**

| Name        | Required | Description                                             |
| ----------- | :------: | ------------------------------------------------------- |
| **chainId** |     +    | The blockchain ID for which the gas price is requested. |

## **Response Options**

| Name       | Data Type | Description                                                                                                                                              |
| ---------- | --------- | -------------------------------------------------------------------------------------------------------------------------------------------------------- |
| **high**   | `str`     | The gas price at which the transaction is most likely to be accepted in the next block.                                                                  |
| **medium** | `str`     | The gas price at which the transaction is most likely to be accepted in the next 2-3 blocks.                                                             |
| **low**    | `str`     | The gas price at which the transaction is most likely to be accepted not earlier than after block 5. There is a risk of a long transaction confirmation. |

## **Request Example**

```
https://api.yad.finance/v1/1/gasprices
```

## **Response Example**

```
{
  "low": "29.521",
  "medium": "31.521",
  "high": "33.521"
}
```
